=begin pod

=TITLE class X::Syntax::Reserved

    class X::Syntax::Reserved does X::Syntax { }

Syntax error thrwon when a syntax is used which is reserved for future
expansion.

For example

    my @a();

dies with

    ===SORRY!===
    The () shape syntax in array declarations is reserved

=head1 Methods

=head2 reserved

    method reserved() returns Str:D

Returns a text description of the reserved syntax.

=head2 instead

    method instead() returns Str

Describes what to use instead of the reserved syntax (if anything).

=end pod
